<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\adminapi\lists\property;


use app\adminapi\lists\BaseAdminDataLists;
use app\common\model\property\PropertyActivity;
use app\common\lists\ListsSearchInterface;


/**
 * PropertyActivity列表
 * Class PropertyActivityLists
 * @package app\adminapi\lists
 */
class PropertyActivityLists extends BaseAdminDataLists implements ListsSearchInterface
{


    /**
     * @notes 设置搜索条件
     * @return \string[][]
     * @author likeadmin
     * @date 2024/11/21 15:04
     */
    public function setSearch(): array
    {
        return [
            '=' => ['property_head_id', 'activity_name', 'activity_start_time', 'activity_end_time','page_type'],

        ];
    }


    /**
     * @notes 获取列表
     * @return array
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\DbException
     * @throws \think\db\exception\ModelNotFoundException
     * @author likeadmin
     * @date 2024/11/21 15:04
     */
    public function lists(): array
    {
        return PropertyActivity::with(['propertyHeadInfo'])
        ->where($this->searchWhere)
            ->field(['id', 'property_head_id', 'activity_name', 'activity_start_time', 'activity_end_time','block_data','coupon_data','url_page','page_type','images'])
            ->limit($this->limitOffset, $this->limitLength)
            ->order(['id' => 'desc'])
            ->select()
            ->toArray();
    }


    /**
     * @notes 获取数量
     * @return int
     * @author likeadmin
     * @date 2024/11/21 15:04
     */
    public function count(): int
    {
        return PropertyActivity::where($this->searchWhere)->count();
    }

}